Subject: Ticket Assigned - This is a complaint with regards to order # 9561098903 dated 13 March 2022. I have ordered products ...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 17 Mar 2022 23:17:40 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  This is a complaint with regards to order # 9561098903 dated 13 March 2022. I have ordered products ... This is a complaint with regards to order # 9561098903 dated 13 March 2022. I have ordered products for my new born baby with good faith in Baby shop and its customer service and believing the next day delivery mentioned while online shopping. 

The next day, 14th March passed by, there was no delivery of items. On 15th March, i called customer service in the morning and they confirmed that they will put the remark to have it delivered same day (15th March - Day 2 of the order). Till evening 7:45 we waited patiently but with no delivery of items or any response from baby shop. We expected an item which couldn't be delivered due to so called traffic of delivery, as mentioned by customer service agent should be given priority the next day. This didn't happen here at all. On day 2 evening i spoke with another customer agent named Meera and she informed us the delivery is rescheduled for 16th March - DAY 3 - but with no guarantee when it will be delivered or whether it will take more days to come. No matter whatever we try to explain the need of this product for our new born (i ordered sterilizer - a product that matters to my baby's basic need of hygiene) the only response i get from customer service is a stereo type copy and p
 aste sentences. Didn't expect a cold blooded service from both the customer agents whom i spoke on 15th March. They finally even confirmed that they have no control over the delivery of product. 
We spend our money on an item which you cannot guarantee delivery will happen in anytime near future. 

THIS IS UNACCEPTABLE CUSTOMER SERVICE. 

This highly impacted the trust we have on baby shop/Centrepoint, who didn't showcase minimum curtesy that a local supermarket will show to their customers. Now we are in a situation, we spend a lumpsum money to a brand who have no idea where the products we paid for are or when it will be delivered. 

I am writing this message also with no or less hope any response i will get from you, based on this experience we are going to carry out to public. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4032589